---
title: Get a destination address
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Email Routing](https://developers.cloudflare.com/api/python/resources/email_routing)

[Addresses](https://developers.cloudflare.com/api/python/resources/email_routing/subresources/addresses)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get a destination address

email\_routing.addresses.get(strdestination\_address\_identifier, AddressGetParams\*\*kwargs) -> [Address](<https://developers.cloudflare.com/api/python/resources/email_routing#(resource)%20email_routing.addresses%20%3E%20(model)%20address%20%3E%20(schema)>)

GET/accounts/{account\_id}/email/routing/addresses/{destination\_address\_identifier}

Gets information for a specific destination email already created.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Email Routing Addresses Write``Email Routing Addresses Read`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20email_routing.addresses%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

destination\_address\_identifier: str

Destination address identifier.

maxLength32

[Link to this property](<#(resource)%20email_routing.addresses%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20destination_address_identifier%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class Address: …

</summary>

id: Optional\[str]

Destination address identifier.

maxLength32

<a href="#(resource)%20email_routing.addresses%20%3E%20(model)%20address%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created: Optional\[datetime]

The date and time the destination address has been created.

formatdate-time

<a href="#(resource)%20email_routing.addresses%20%3E%20(model)%20address%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

email: Optional\[str]

The contact email address of the user.

maxLength90

<a href="#(resource)%20email_routing.addresses%20%3E%20(model)%20address%20%3E%20(schema)%20%3E%20(property)%20email">Link to this property</a>

modified: Optional\[datetime]

The date and time the destination address was last modified.

formatdate-time

<a href="#(resource)%20email_routing.addresses%20%3E%20(model)%20address%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

Deprecatedtag: Optional\[str]

Destination address tag. (Deprecated, replaced by destination address identifier)

maxLength32

<a href="#(resource)%20email_routing.addresses%20%3E%20(model)%20address%20%3E%20(schema)%20%3E%20(property)%20tag">Link to this property</a>

verified: Optional\[datetime]

The date and time the destination address has been verified. Null means not verified yet.

formatdate-time

<a href="#(resource)%20email_routing.addresses%20%3E%20(model)%20address%20%3E%20(schema)%20%3E%20(property)%20verified">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_routing.addresses%20%3E%20(model)%20address%20%3E%20(schema)>)

### Get a destination address

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
address = client.email_routing.addresses.get(
    destination_address_identifier="ea95132c15732412d22c1476fa83f27a",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(address.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "ea95132c15732412d22c1476fa83f27a",
    "created": "2014-01-02T02:20:00Z",
    "email": "user@example.com",
    "modified": "2014-01-02T02:20:00Z",
    "tag": "ea95132c15732412d22c1476fa83f27a",
    "verified": "2014-01-02T02:20:00Z"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "ea95132c15732412d22c1476fa83f27a",
    "created": "2014-01-02T02:20:00Z",
    "email": "user@example.com",
    "modified": "2014-01-02T02:20:00Z",
    "tag": "ea95132c15732412d22c1476fa83f27a",
    "verified": "2014-01-02T02:20:00Z"
  }
}
```